io.vertx.core.logging

## Class SLF4JLogDelegate

- java.lang.Object
- - io.vertx.core.logging.SLF4JLogDelegate

- All Implemented Interfaces:
    LogDelegate

      public class SLF4JLogDelegate
      extends Object
      implements LogDelegate

  Author:
    Tim Fox

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SLF4JLogDelegate(Object logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Object message)`
    `void` | `debug(Object message, Object... params)`
    `void` | `debug(Object message, Throwable t)`
    `void` | `debug(Object message, Throwable t, Object... params)`
    `void` | `error(Object message)`
    `void` | `error(Object message, Object... params)`
    `void` | `error(Object message, Throwable t)`
    `void` | `error(Object message, Throwable t, Object... params)`
    `void` | `fatal(Object message)`
    `void` | `fatal(Object message, Throwable t)`
    `void` | `info(Object message)`
    `void` | `info(Object message, Object... params)`
    `void` | `info(Object message, Throwable t)`
    `void` | `info(Object message, Throwable t, Object... params)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isTraceEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `trace(Object message)`
    `void` | `trace(Object message, Object... params)`
    `void` | `trace(Object message, Throwable t)`
    `void` | `trace(Object message, Throwable t, Object... params)`
    `Object` | `unwrap()`
    `void` | `warn(Object message)`
    `void` | `warn(Object message, Object... params)`
    `void` | `warn(Object message, Throwable t)`
    `void` | `warn(Object message, Throwable t, Object... params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SLF4JLogDelegate

          public SLF4JLogDelegate(Object logger)

  - ### Method Detail

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in interface `LogDelegate`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `LogDelegate`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `LogDelegate`

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Specified by:
        `isTraceEnabled` in interface `LogDelegate`

    - #### fatal

          public void fatal(Object message)

      Specified by:
        `fatal` in interface `LogDelegate`

    - #### fatal

          public void fatal(Object message,
                            Throwable t)

      Specified by:
        `fatal` in interface `LogDelegate`

    - #### error

          public void error(Object message)

      Specified by:
        `error` in interface `LogDelegate`

    - #### error

          public void error(Object message,
                            Object... params)

      Specified by:
        `error` in interface `LogDelegate`

    - #### error

          public void error(Object message,
                            Throwable t)

      Specified by:
        `error` in interface `LogDelegate`

    - #### error

          public void error(Object message,
                            Throwable t,
                            Object... params)

      Specified by:
        `error` in interface `LogDelegate`

    - #### warn

          public void warn(Object message)

      Specified by:
        `warn` in interface `LogDelegate`

    - #### warn

          public void warn(Object message,
                           Object... params)

      Specified by:
        `warn` in interface `LogDelegate`

    - #### warn

          public void warn(Object message,
                           Throwable t)

      Specified by:
        `warn` in interface `LogDelegate`

    - #### warn

          public void warn(Object message,
                           Throwable t,
                           Object... params)

      Specified by:
        `warn` in interface `LogDelegate`

    - #### info

          public void info(Object message)

      Specified by:
        `info` in interface `LogDelegate`

    - #### info

          public void info(Object message,
                           Object... params)

      Specified by:
        `info` in interface `LogDelegate`

    - #### info

          public void info(Object message,
                           Throwable t)

      Specified by:
        `info` in interface `LogDelegate`

    - #### info

          public void info(Object message,
                           Throwable t,
                           Object... params)

      Specified by:
        `info` in interface `LogDelegate`

    - #### debug

          public void debug(Object message)

      Specified by:
        `debug` in interface `LogDelegate`

    - #### debug

          public void debug(Object message,
                            Object... params)

      Specified by:
        `debug` in interface `LogDelegate`

    - #### debug

          public void debug(Object message,
                            Throwable t)

      Specified by:
        `debug` in interface `LogDelegate`

    - #### debug

          public void debug(Object message,
                            Throwable t,
                            Object... params)

      Specified by:
        `debug` in interface `LogDelegate`

    - #### trace

          public void trace(Object message)

      Specified by:
        `trace` in interface `LogDelegate`

    - #### trace

          public void trace(Object message,
                            Object... params)

      Specified by:
        `trace` in interface `LogDelegate`

    - #### trace

          public void trace(Object message,
                            Throwable t)

      Specified by:
        `trace` in interface `LogDelegate`

    - #### trace

          public void trace(Object message,
                            Throwable t,
                            Object... params)

      Specified by:
        `trace` in interface `LogDelegate`

    - #### unwrap

          public Object unwrap()

      Specified by:
        `unwrap` in interface `LogDelegate`
      Returns:
        the underlying framework logger object, null in the default implementation

Copyright © 2021 Eclipse. All rights reserved.